<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<array>
	<dict>
		<key>Metacharacters</key>
		<array>
			<dict>
				<key>.</key>
				<string>Any character</string>
			</dict>
			<dict>
				<key>\</key>
				<string>Quotes the following character. Use \. to match the period character.</string>
			</dict>
			<dict>
				<key>\d</key>
				<string>Any digit</string>
			</dict>
			<dict>
				<key>\D</key>
				<string>Any non-digit</string>
			</dict>
			<dict>
				<key>\w</key>
				<string>Any word character</string>
			</dict>
			<dict>
				<key>\W</key>
				<string>Any non-word character</string>
			</dict>
			<dict>
				<key>\s</key>
				<string>Whitespace character. White space is defined as [\t\n\f\r\p{Z}].</string>
			</dict>
			<dict>
				<key>\S</key>
				<string>Non-whitespace character</string>
			</dict>
			<dict>
				<key>^</key>
				<string>Beginning of a line</string>
			</dict>
			<dict>
				<key>$</key>
				<string>End of a line</string>
			</dict>
			<dict>
				<key>\n</key>
				<string>Line Feed (LF)</string>
			</dict>
			<dict>
				<key>\r</key>
				<string>Carriage Return (CR)</string>
			</dict>
			<dict>
				<key>\R</key>
				<string>Match a new line character, or the sequence CR LF</string>
			</dict>
			<dict>
				<key>\t</key>
				<string>Horizontal tab</string>
			</dict>
			<dict>
				<key>\uhhhh</key>
				<string>Character with the hex value hhhh</string>
			</dict>
		</array>
	</dict>
	<dict>
		<key>Operators</key>
		<array>
			<dict>
				<key>*</key>
				<string>Match 0 or more times (as many as possible)</string>
			</dict>
			<dict>
				<key>*?</key>
				<string>Match 0 or more times (as few as possible)</string>
			</dict>
			<dict>
				<key>+</key>
				<string>Match 1 or more times (as many as possible)</string>
			</dict>
			<dict>
				<key>+?</key>
				<string>Match 1 or more times (as few as possible)</string>
			</dict>
			<dict>
				<key>?</key>
				<string>Match zero or one times (prefer one)</string>
			</dict>
			<dict>
				<key>??</key>
				<string>Match zero or one times (prefer zero)</string>
			</dict>
			<dict>
				<key>{n}</key>
				<string>Match exactly n times</string>
			</dict>
			<dict>
				<key>{n,}</key>
				<string>Match at least n times (as many as possible)</string>
			</dict>
			<dict>
				<key>{n,m}</key>
				<string>Match between n and m times (as many as possible, but not more than m)</string>
			</dict>
			<dict>
				<key>(…)</key>
				<string>Capturing parentheses. Range of input that matched the parenthesized subexpression is available after the match.</string>
			</dict>
			<dict>
				<key>(?: …)</key>
				<string>Non-capturing parentheses. Groups the included pattern, but does not provide capturing of matching text.</string>
			</dict>
			<dict>
				<key>(?# …)</key>
				<string>Free-format comment (?# comment )</string>
			</dict>
			<dict>
				<key>|</key>
				<string>Alternation. A|B matches either A or B.</string>
			</dict>
		</array>
	</dict>
	<dict>
		<key>Character Classes</key>
		<array>
			<dict>
				<key>[abc]</key>
				<string>Match any of the characters a, b or c</string>
			</dict>
			<dict>
				<key>[^abc]</key>
				<string>Negation - match any character except a, b or c</string>
			</dict>
			<dict>
				<key>[A-M]</key>
				<string>Range - match any character from A to M</string>
			</dict>
			<dict>
				<key>[\p{L}]</key>
				<string>Characters with Unicode Category = Letter (L)</string>
			</dict>
			<dict>
				<key>[\P{L}]</key>
				<string>Negated property. (Upper case \P) Match everything except Letters.</string>
			</dict>
			<dict>
				<key></key>
				<string></string>
			</dict>
			<dict>
				<key></key>
				<string></string>
			</dict>
			<dict>
				<key></key>
				<string></string>
			</dict>
		</array>
	</dict>
</array>
</plist>
